package com.lantone.qc.kernel.catalogue.firstpagerecord;

import com.lantone.qc.kernel.catalogue.QCCatalogue;
import com.lantone.qc.pub.Content;
import com.lantone.qc.pub.model.InputInfo;
import com.lantone.qc.pub.model.OutputInfo;
import com.lantone.qc.pub.model.doc.BeHospitalizedDoc;
import com.lantone.qc.pub.model.doc.FirstPageRecordDoc;
import com.lantone.qc.pub.util.StringUtil;
import org.springframework.stereotype.Component;

import java.util.Map;

/**
 * @ClassName : FIRP0520
 * @Description : 电话与入院记录不一致
 * @Author : 楼辉荣
 * @Date: 2020-03-06 17:28
 */
@Component
public class FIRP0520 extends QCCatalogue {
    public void start(InputInfo inputInfo, OutputInfo outputInfo) {
        status.set("0");
        BeHospitalizedDoc beHospitalizedDoc = inputInfo.getBeHospitalizedDoc();
        FirstPageRecordDoc firstPageRecordDoc = inputInfo.getFirstPageRecordDoc();
        if (beHospitalizedDoc != null && firstPageRecordDoc != null) {
            Map<String, String> structureMap_bh = beHospitalizedDoc.getStructureMap();
            Map<String, String> structureMap_fpr = firstPageRecordDoc.getStructureMap();
            String bhPhone = structureMap_bh.get("电话");
            String fprPhone = structureMap_fpr.get(Content.current_address_phone);
            if (StringUtil.isBlank(bhPhone) || StringUtil.isBlank(fprPhone) || fprPhone.equals("-")) {
                return;
            }
            if (!bhPhone.equals(fprPhone)) {
                status.set("-1");
            }
        }
    }
}